Bug 9423 - java applet font problem not fixed using chkfontpath --add
Summary: java applet font problem not fixed using chkfontpath --add
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netscape   
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-14 12:46 UTC by wkuhn
Modified: 2014-03-17 02:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-04 18:52:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description wkuhn 2000-02-14 12:46:52 UTC
Java applet text is still mangled when applets are run from netscape 4.6.1
that was installed with redhat 6.1.  Applet text is completely unreadable.

I followed the instructions given on the errata page (adding the scalable
75 point font using chkfontpath --add) but that did not remedy the
situation.  Even though the chkfontpath man page says that it restarts xfs
I restarted it manually via /etc/rc.d/init.d/xfs restart and that didn't
help either.

I'm not sitting at the machine right now, but if you need additional
information please email questions to wkuhn@biostat.ufl.edu.

Oh, one other thing that was weird about netscape is having to set the
CLASSPATH.  I don't recall having to do that in previous installations of
netscape on linux.  Is that something new?

Thanks.

-Bill

Comment 1 Bill Nottingham 2000-02-14 16:17:59 UTC
You shouldn't be setting CLASSPATH; it should just
(more or less) work. Can you give an example of
the corruption you're seeing?

Comment 2 Bill Nottingham 2000-02-15 00:42:59 UTC
What I was asking for was an example applet that caused the
font corruption, so we could try and duplicate it here.

Then again, if it's a netscape problem, the chances of
getting it fixed aren't very good.

Comment 3 Bill Nottingham 2000-02-15 04:12:59 UTC
Hmm... works OK for me. What's the output of chkfontpath --list?

Comment 4 Bill Nottingham 2000-02-16 15:51:59 UTC
Put X11/fonts/75dpi as the fourth entry in /etc/X11/fs/config
(i.e., after the three :unscaled entries.); does that solve the
problem?

Comment 5 Bill Nottingham 2000-02-17 02:21:59 UTC
To change the ordering, it's probably easiest
to edit /etc/X11/fs/config directly, and
then do '/etc/rc.d/init.d/xfs restart'.

Comment 6 Bill Nottingham 2000-03-04 18:52:59 UTC
This shoud be fixed once the font path is moved; please re-open
if it isn't.

Comment 7 bedinelli 2000-03-09 14:11:59 UTC
Hi. I have followed all the instructions concerning about fonts.

I tried to make the changes in Netscape versions 4.61 - 4.72, none of them were
successful.

If you want to try a "crash site", go to:
http://www.turmadamonica.com.br/index.htm (wait 2 or 3 minutes and see what
happens).

Thank's

Comment 8 Bill Nottingham 2000-03-09 16:06:59 UTC
Works OK for me. Are you sure it's not a problem with the flash
support (I'm not running that...)

Comment 9 bedinelli 2000-03-10 16:07:59 UTC
Hi,

I made the tests in 2 different computers. One of them have a multimedia system
and another one doesn't.

On the first computer I have installed many plugins, including flash but, on the
second one, I have installed nothing.

In both cases that site crashes! I have installed the rpm package from RedHat
_and_ the tar.gz packet from Netscape (of course, when I installed one, I
uninstalled the other) from the various Netscape versions. None of them were
successful. It's really weird what is going on with Netscape.

Anyway, thank you for your cooperation ;)

Marcos


Note You need to log in before you can comment on or make changes to this bug.